package com.hotent.uc.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.hotent.base.entity.BaseModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.time.LocalTime;
/**
 * @description  外部部门实体表
 * @author  yangzibin
 * @date    2023/12/28 17:18
 * @param	null
 * @return
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@TableName("uc_external_dept")
@ApiModel(description="外部系统部门表（钉钉、企微）")
public class OrgExternalDept extends BaseModel<OrgExternalDept> {
    /**
     * id_
     */
    @TableId("ID_")
    @ApiModelProperty(name="id",notes="id")
    protected String id;

    /**
     * 外部系统部门id
     */
    @TableField("EXTERNAL_DEPT_ID_")
    @ApiModelProperty(name="externalDeptId",notes="外部系统部门id")
    protected String externalDeptId;

    /**
     * 外部系统部门名称
     */
    @TableField("EXTERNAL_NAME_")
    @ApiModelProperty(name="externalName",notes="外部系统部门名称")
    protected String externalName;

    /**
     * 外部系统父部门id
     */
    @TableField("EXTERNAL_PARENT_ID_")
    @ApiModelProperty(name="externalParentId",notes="外部系统父部门id")
    protected String externalParentId;

    /**
     * 系统内部部门id
     */
    @TableField("DEPT_ID_")
    @ApiModelProperty(name="deptId",notes="系统内部部门id")
    protected String deptId;

    /**
     * 类型（0=钉钉1=微信）
     */
    @TableField("TYPE_")
    @ApiModelProperty(name="type",notes="类型（0=钉钉1=微信）")
    protected String type;

    /**
     * 外部系统部门排序字段
     */
    @TableField("EXTERNAL_ORDER_")
    @ApiModelProperty(name="externalOrder",notes="外部系统部门排序字段")
    protected String externalOrder;

    /**
     * 租户id
     */
    @TableField("TENANT_ID_")
    @ApiModelProperty(name="tenantId",notes="租户id")
    protected String tenantId;

    /**
     * 部门id层级
     */
    @TableField("PATH_")
    @ApiModelProperty(name="path",notes="部门id层级")
    protected String path;

    /**
     * 部门id层级
     */
    @TableField("PATH_NAME_")
    @ApiModelProperty(name="pathName",notes="部门名称层级")
    protected String pathName;
    /**
     * 中台系统组织id
     */
    @TableField("ORG_ID_")
    @ApiModelProperty(name="orgId",notes="中台系统组织id")
    protected String orgId;

    /**
     * 钉钉部门端删除标记
     */
    @TableField("DING_DELETE_")
    @ApiModelProperty(name="dingDelete",notes="钉钉部门端删除标记")
    protected String dingDelete;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME_")
    @ApiModelProperty(name="createTime",notes="创建时间")
    protected LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField("UPDATE_TIME_")
    @ApiModelProperty(name="createTime",notes="更新时间")
    protected LocalDateTime updateTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getExternalDeptId() {
        return externalDeptId;
    }

    public void setExternalDeptId(String externalDeptId) {
        this.externalDeptId = externalDeptId;
    }

    public String getExternalName() {
        return externalName;
    }

    public void setExternalName(String externalName) {
        this.externalName = externalName;
    }

    public String getExternalParentId() {
        return externalParentId;
    }

    public void setExternalParentId(String externalParentId) {
        this.externalParentId = externalParentId;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getExternalOrder() {
        return externalOrder;
    }

    public void setExternalOrder(String externalOrder) {
        this.externalOrder = externalOrder;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getPathName() {
        return pathName;
    }

    public void setPathName(String pathName) {
        this.pathName = pathName;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getDingDelete() {
        return dingDelete;
    }

    public void setDingDelete(String dingDelete) {
        this.dingDelete = dingDelete;
    }
}
